% This is the color theme file of the Feather theme.
% Copyright (c) 2014 by Lilyana Vaskova Vankova <lilqna.v@gmail.com>
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You can find the GNU General Public License at <http://www.gnu.org/licenses/>.

%----------------------------------------------------------------------------------------------------------------------------------

\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{beamercolorthemeFeather}[2014/04/08 v1.0.0 The Feather Beamer Theme]

%----------------------------------------------------------------------------------------------------------------------------------

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Theme options and definitions
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%----------------------------------------------------------------------------------------------------------------------------------

% beamer specific options

               \mode<presentation>%refers to the first four modes (beamer,handout,second and trans). That is, to all modes except the article mode
{

%----------------------------------------------------------------------------------------------------------------------------------

% colors
%% defining colors 

               \definecolor{beamer@barcolor}{RGB}{237,129,78}% light blue
               \definecolor{beamer@normaltextcolor}{RGB}{42,61,69}% gray blue
               \definecolor{beamer@headercolor}{RGB}{169,26,146} % dark blue


%% setting the above deffinitions

               \setbeamercolor{structure}{fg=beamer@headercolor}
               \setbeamercolor{normal text}{fg=beamer@normaltextcolor}
               \setbeamercolor{frametitle}{fg=white,bg=beamer@headercolor}
               \setbeamercolor{Feather}{fg=beamer@barcolor,bg=beamer@headercolor}
}

\mode<all>
